# Form implementation generated from reading ui file 'src/eric7/PluginManager/PluginInstallDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PluginInstallDialog(object):
    def setupUi(self, PluginInstallDialog):
        PluginInstallDialog.setObjectName("PluginInstallDialog")
        PluginInstallDialog.resize(611, 362)
        self.vboxlayout = QtWidgets.QVBoxLayout(PluginInstallDialog)
        self.vboxlayout.setObjectName("vboxlayout")
        self.wizard = QtWidgets.QStackedWidget(parent=PluginInstallDialog)
        self.wizard.setObjectName("wizard")
        self.selectionPage = QtWidgets.QWidget()
        self.selectionPage.setObjectName("selectionPage")
        self.gridlayout = QtWidgets.QGridLayout(self.selectionPage)
        self.gridlayout.setContentsMargins(0, 0, 0, 0)
        self.gridlayout.setVerticalSpacing(6)
        self.gridlayout.setObjectName("gridlayout")
        self.label = QtWidgets.QLabel(parent=self.selectionPage)
        self.label.setObjectName("label")
        self.gridlayout.addWidget(self.label, 0, 0, 1, 2)
        self.archivesList = QtWidgets.QListWidget(parent=self.selectionPage)
        self.archivesList.setAlternatingRowColors(True)
        self.archivesList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.archivesList.setObjectName("archivesList")
        self.gridlayout.addWidget(self.archivesList, 1, 0, 3, 1)
        self.addArchivesButton = QtWidgets.QPushButton(parent=self.selectionPage)
        self.addArchivesButton.setObjectName("addArchivesButton")
        self.gridlayout.addWidget(self.addArchivesButton, 1, 1, 1, 1)
        self.removeArchivesButton = QtWidgets.QPushButton(parent=self.selectionPage)
        self.removeArchivesButton.setEnabled(False)
        self.removeArchivesButton.setObjectName("removeArchivesButton")
        self.gridlayout.addWidget(self.removeArchivesButton, 2, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(20, 101, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridlayout.addItem(spacerItem, 3, 1, 1, 1)
        self.wizard.addWidget(self.selectionPage)
        self.destinationPage = QtWidgets.QWidget()
        self.destinationPage.setObjectName("destinationPage")
        self.vboxlayout1 = QtWidgets.QVBoxLayout(self.destinationPage)
        self.vboxlayout1.setContentsMargins(0, 0, 0, 0)
        self.vboxlayout1.setObjectName("vboxlayout1")
        self.label_2 = QtWidgets.QLabel(parent=self.destinationPage)
        self.label_2.setObjectName("label_2")
        self.vboxlayout1.addWidget(self.label_2)
        self.destinationCombo = QtWidgets.QComboBox(parent=self.destinationPage)
        self.destinationCombo.setObjectName("destinationCombo")
        self.vboxlayout1.addWidget(self.destinationCombo)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.vboxlayout1.addItem(spacerItem1)
        self.wizard.addWidget(self.destinationPage)
        self.summaryPage = QtWidgets.QWidget()
        self.summaryPage.setObjectName("summaryPage")
        self.vboxlayout2 = QtWidgets.QVBoxLayout(self.summaryPage)
        self.vboxlayout2.setContentsMargins(0, 0, 0, 0)
        self.vboxlayout2.setObjectName("vboxlayout2")
        self.label_3 = QtWidgets.QLabel(parent=self.summaryPage)
        self.label_3.setObjectName("label_3")
        self.vboxlayout2.addWidget(self.label_3)
        self.summaryEdit = QtWidgets.QTextEdit(parent=self.summaryPage)
        self.summaryEdit.setReadOnly(True)
        self.summaryEdit.setObjectName("summaryEdit")
        self.vboxlayout2.addWidget(self.summaryEdit)
        self.progress = QtWidgets.QProgressBar(parent=self.summaryPage)
        self.progress.setProperty("value", 0)
        self.progress.setObjectName("progress")
        self.vboxlayout2.addWidget(self.progress)
        self.wizard.addWidget(self.summaryPage)
        self.vboxlayout.addWidget(self.wizard)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=PluginInstallDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.vboxlayout.addWidget(self.buttonBox)

        self.retranslateUi(PluginInstallDialog)
        self.wizard.setCurrentIndex(2)
        QtCore.QMetaObject.connectSlotsByName(PluginInstallDialog)
        PluginInstallDialog.setTabOrder(self.addArchivesButton, self.archivesList)
        PluginInstallDialog.setTabOrder(self.archivesList, self.removeArchivesButton)
        PluginInstallDialog.setTabOrder(self.removeArchivesButton, self.destinationCombo)
        PluginInstallDialog.setTabOrder(self.destinationCombo, self.summaryEdit)
        PluginInstallDialog.setTabOrder(self.summaryEdit, self.buttonBox)

    def retranslateUi(self, PluginInstallDialog):
        _translate = QtCore.QCoreApplication.translate
        PluginInstallDialog.setWindowTitle(_translate("PluginInstallDialog", "Plugin Installation"))
        self.label.setText(_translate("PluginInstallDialog", "<b>Enter the plugin archives to install</b>"))
        self.archivesList.setSortingEnabled(True)
        self.addArchivesButton.setToolTip(_translate("PluginInstallDialog", "Add plugin ZIP-archives via a file selection dialog"))
        self.addArchivesButton.setText(_translate("PluginInstallDialog", "Add ..."))
        self.removeArchivesButton.setToolTip(_translate("PluginInstallDialog", "Remove the selected entries from the list of plugin archives to be installed"))
        self.removeArchivesButton.setText(_translate("PluginInstallDialog", "Remove"))
        self.label_2.setText(_translate("PluginInstallDialog", "<b>Select the destination plugin directory</b>"))
        self.destinationCombo.setToolTip(_translate("PluginInstallDialog", "Select the destination plugin area"))
        self.label_3.setText(_translate("PluginInstallDialog", "<b>Installation Summary</b>"))
        self.summaryEdit.setToolTip(_translate("PluginInstallDialog", "This shows the summary of the installation data"))
        self.progress.setFormat(_translate("PluginInstallDialog", "%v/%m Files"))
